## org.eclipse.emf.ecore
Interface ENamedElement

All Superinterfaces:
  EModelElement, EObject, Notifier

All Known Subinterfaces:
  ChangePackage, EAttribute, EClass, EClassifier, Ecore2EcorePackage, Ecore2XMLPackage, EcorePackage, EDataType, EEnum, EEnumLiteral, EOperation, EPackage, EParameter, EReference, EStructuralFeature, EStructuralFeature.Internal, ETypedElement, ETypeParameter, GenModelPackage, MappingPackage, TreePackage, XMLNamespacePackage, XMLTypePackage

All Known Implementing Classes:
  ChangePackageImpl, EAttributeImpl, EClassifierImpl, EClassImpl, Ecore2EcorePackageImpl, Ecore2XMLPackageImpl, EcorePackageImpl, EDataTypeImpl, EEnumImpl, EEnumLiteralImpl, ENamedElementImpl, EOperationImpl, EPackageImpl, EParameterImpl, EReferenceImpl, EStructuralFeatureImpl, ETypedElementImpl, ETypeParameterImpl, GenModelPackageImpl, MappingPackageImpl, TreePackageImpl, XMLNamespacePackageImpl, XMLTypePackageImpl

    public interface ENamedElement

extends EModelElement

A representation of the model object 'ENamed Element'.

The following features are supported:

- `Name`

See Also:
  `EcorePackage.getENamedElement()`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  It represents the name of the element.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `EcorePackage.getENamedElement_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.